<script setup>
import { useRollOver } from '../../store/popups';
import { gameEvents } from '../../events';

const props = defineProps(['items']);
const { itemOver } = useRollOver();

</script>

<template functional>

<div>

<div class="separate" v-for="(s) in items" :key="s.id"  @mouseenter.capture.stop="itemOver($event, s)">
	<span>{{ s.name.toTitleCase() }}</span><button @click="gameEvents.emit('add', s)" :disabled="!canAdd(s)">Add</button>
</div>

</div>

</template>